ParserType (Apache OpenNLP :: API 3.0.0-M4 API)
Description: declaration: package: opennlp.tools.parser, enum: ParserType

Package opennlp.tools.parser

# Enum Class ParserType

java.lang.Object
java.lang.Enum<ParserType>
opennlp.tools.parser.ParserType

All Implemented Interfaces:
  `Serializable`, `Comparable<ParserType>`, `Constable`

public enum ParserType extends Enum<ParserType>
Enumeration of supported `Parser` types.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CHUNKING`
  `TREEINSERT`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ParserType`
  `parse(String type)`
  `static ParserType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ParserType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CHUNKING

    public static final ParserType CHUNKING

  - ### TREEINSERT

    public static final ParserType TREEINSERT

- ## Method Details

  - ### values

    public static ParserType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ParserType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### parse

    public static ParserType parse(String type)
    Parameters:
      `type` - The string representation of the requested `ParserType`.
    Returns:
      The `ParserType` matching `type`, `null` otherwise.